Mods download patch 169?

Tell us what's wrong with this place. But first please check that your Windows disc isn't corrupt and your modem isn't on fire.
Post Reply
User avatar
C-Dark
Reactions:
Posts: 389
Joined: January 5th, 2012, 6:00 pm
Location: Berlin (Germany) Name: Claudy

Mods download patch 169?

Post by C-Dark » October 3rd, 2018, 4:30 am

I wonder, at all mod downloads there stands its for patch 169, but I'm still on 167 and as far as I know the mods are on that patch. This is a kind of misleading?

It may be helpfull, if there would stand like "compatible for patch 167 and 169", so people who haven't had the mods and are on 167 do not hesitate to download.

User avatar
Trextex0401
Reactions:
Posts: 3
Joined: October 3rd, 2018, 1:39 pm

Mods download patch 169?

Post by Trextex0401 » October 3rd, 2018, 3:13 pm

I had a similar thought, so thought I'd post here. IIRC, the old site had versions of most mods going back at least a few patches. I'm curious if there are plans to load those again, for folks who don't have v1.69? I'm hopeful that they will, but I understand it's a busy time getting this site up to full speed.

And thanks to the admins for keeping this project alive, and Sims 3 playable!

User avatar
igazor
Reactions:
Posts: 10760
Joined: April 8th, 2013, 6:00 pm
Answers: 14

Mods download patch 169?

Post by igazor » October 3rd, 2018, 3:25 pm

Except for ErrorTrap and UnstranslatedKey, which are Core Mods, there are no mod differences required between 1.67 and 1.69. The game files and the mods for the two patch levels are exactly the same. Everywhere it currently says "Download for 1.69" or "Compatible with 1.69" should really be read as "Download for 1.67/69." Again, the patch levels are the same when it comes to gameplay and mods that are not Core Mods.

ErrorTrap is an exception and that will be addressed in time.

I am certain we will get those patch level indicators fixed and possibly, if we can, provide older versions of the mods to some extent for those on 1.63, etc.

User avatar
Chain_Reaction
Site Admin
Reactions:
Posts: 4814
Joined: December 30th, 2011, 6:00 pm
Answers: 4
Contact:

Mods download patch 169?

Post by Chain_Reaction » October 3rd, 2018, 3:44 pm

The mod pages will be adjusted in time. I'm on the fence about adding the older versions back as there's no reason to be on anything but 1.67+ and we don't support those. Is there really a demand for 1.29 mods?

User avatar
Trextex0401
Reactions:
Posts: 3
Joined: October 3rd, 2018, 1:39 pm

Mods download patch 169?

Post by Trextex0401 » October 3rd, 2018, 4:36 pm

I suspected that most 1.69 mods worked with 1.67, but wasn't certain. I really doubt there will be a substantial number of would-be modders who don't have one of those versions. Assuming the other things here get addressed (errortrap, clarifying the pages), I think that would probably be enough.

There's always the argument to keep the older versions for completeness/posterity purposes. Whether that's a strong enough argument to outweigh the time and effort it would take to put those on each page - I'm certainly in no position to say. I also assume there would be costs involved with bandwidth, etc. Would those old mod versions be deleted, or maybe archived somewhere? Seems sad to just get rid of them, even if they are probably mostly useless.

User avatar
C-Dark
Reactions:
Posts: 389
Joined: January 5th, 2012, 6:00 pm
Location: Berlin (Germany) Name: Claudy

Mods download patch 169?

Post by C-Dark » October 3rd, 2018, 4:48 pm

I would not upload older mods unless someone askes for a special patch number on a page maybe called old mod versions (only on when asked for) :cool:

senradio123
Reactions:
Posts: 1
Joined: January 4th, 2019, 7:28 pm

Mods download patch 169?

Post by senradio123 » January 4th, 2019, 7:32 pm

Would
Chain_Reaction post_id=57946 time=1538595870 user_id=2 wrote: The mod pages will be adjusted in time. I'm on the fence about adding the older versions back as there's no reason to be on anything but 1.67+ and we don't support those. Is there really a demand for 1.29 mods?
Would you mind uploading the 1.57 Patch for some mods? I stopped automatic updates because--long story short--they were killing my game. I would be eternally grateful if you uploaded the following:

Mastercontroller and cheats
Error Trap
Overwatch
Register
Shooless
Sleepfreedom
Wooher
and Story Progression.

Really, I'd owe you a million!
(email address edited out by site Organizer)

User avatar
igazor
Reactions:
Posts: 10760
Joined: April 8th, 2013, 6:00 pm
Answers: 14

Mods download patch 169?

Post by igazor » January 4th, 2019, 8:45 pm

senradio123 - Hi there. I'm afraid it's a very poor practice to post one's email address on a public facing message board and have edited it out. If site members would like to communicate with each other privately, we have a Private Messaging (PM) system for that.

Our recommendation has been and remains that players patch their game up to at least 1.67 to get all of EA's bug fixes in play and enable them to use the most current versions of the mods without compatibility issues. There is no support to be provided for the older versions and many of them have gone through several rounds of bug fixes and feature enhancements over the years even after the game's development cycle concluded in Jan 2014. It has been decided that we will not be providing downloads for the earlier versions of the mods here.

Automatic updating is not necessary. EA provides a Super Patch than will bring an older patch level up to 1.67 in one step (decline any offers along the way for an Origin-controlled game unless that is also wanted for some reason). It is admittedly a huge download at over 1.5 GB, but is very easy to run once one has it.
https://help.ea.com/en-us/help/the-sims ... er-patcher

Post Reply